Index: code/trunk/src/modules/designtools/CreateStars.cc
===================================================================
--- code/trunk/src/modules/designtools/CreateStars.cc	(revision 8858)
+++ code/trunk/src/modules/designtools/CreateStars.cc	(revision 9667)
@@ -37,7 +37,7 @@
 namespace orxonox
 {
-    CreateFactory(CreateStars);
+    RegisterClass(CreateStars);
 
-    CreateStars::CreateStars(BaseObject* creator) : BaseObject(creator)
+    CreateStars::CreateStars(Context* context) : BaseObject(context)
     {
         RegisterObject(CreateStars);
@@ -69,5 +69,5 @@
         for(int i=0; i < numStars_; i++)
         {
-            Billboard* bb = new Billboard(this);
+            Billboard* bb = new Billboard(this->getContext());
 
             float r = rnd(-colourDiff_,colourDiff_);
Index: code/trunk/src/modules/designtools/CreateStars.h
===================================================================
--- code/trunk/src/modules/designtools/CreateStars.h	(revision 8858)
+++ code/trunk/src/modules/designtools/CreateStars.h	(revision 9667)
@@ -38,5 +38,5 @@
     {
         public:
-            CreateStars(orxonox::BaseObject* creator);
+            CreateStars(Context* context);
             virtual ~CreateStars();
 
Index: code/trunk/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 8858)
+++ code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 9667)
@@ -42,5 +42,6 @@
 #include <OgreViewport.h>
 
-#include "core/ConfigValueIncludes.h"
+#include "core/CoreIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
 #include "core/GraphicsManager.h"
 #include "core/PathConfig.h"
@@ -68,5 +69,5 @@
     ScreenshotManager::ScreenshotManager() : finalPicturePB_(NULL), data_(NULL)
     {
-        RegisterRootObject(ScreenshotManager);
+        RegisterObject(ScreenshotManager);
         
         this->setConfigValues();
Index: code/trunk/src/modules/designtools/ScreenshotManager.h
===================================================================
--- code/trunk/src/modules/designtools/ScreenshotManager.h	(revision 8858)
+++ code/trunk/src/modules/designtools/ScreenshotManager.h	(revision 9667)
@@ -44,5 +44,5 @@
 
 #include "util/Singleton.h"
-#include "core/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 
 namespace orxonox
@@ -61,5 +61,5 @@
     @ingroup Designtools
     */
-    class ScreenshotManager : public OrxonoxClass, public Singleton<ScreenshotManager>
+    class ScreenshotManager : public Configurable, public Singleton<ScreenshotManager>
     {
         friend class Singleton<ScreenshotManager>;
Index: code/trunk/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 8858)
+++ code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 9667)
@@ -40,5 +40,5 @@
 #include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
-#include "core/ConfigValueIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
 #include "core/GraphicsManager.h"
 #include "core/PathConfig.h"
@@ -68,5 +68,5 @@
     SkyboxGenerator::SkyboxGenerator()
     {
-        RegisterRootObject(SkyboxGenerator);
+        RegisterObject(SkyboxGenerator);
 
         this->setConfigValues();
Index: code/trunk/src/modules/designtools/SkyboxGenerator.h
===================================================================
--- code/trunk/src/modules/designtools/SkyboxGenerator.h	(revision 8858)
+++ code/trunk/src/modules/designtools/SkyboxGenerator.h	(revision 9667)
@@ -36,5 +36,5 @@
 #define __SkyboxGenerator_h__
 
-#include "core/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 #include "util/Singleton.h"
 #include "tools/interfaces/Tickable.h"
@@ -58,5 +58,5 @@
     @ingroup Designtools
     */
-    class SkyboxGenerator : public virtual OrxonoxClass, public Singleton<SkyboxGenerator>, public Tickable
+    class SkyboxGenerator : public virtual Configurable, public Singleton<SkyboxGenerator>, public Tickable
     {
         friend class Singleton<SkyboxGenerator>;
